function bcemexbuild
% Tool for building bcemex
    
    if strcmp(computer,'PCWIN64')
        % Change these directories to match your installation of Boost.
        boostlibdir = '-L./libs/w64';
        boostincldir = '-IE:/Program Files/boost/boost_1_54_0/';
        boostlib = './libs/w64/libboost_serialization-vc100-mt-s-1_54.lib';

        compilerflags = 'COMPFLAGS=$COMPFLAGS /MT';
        mex('-I../hpp','-I../cpp','-v',boostincldir,...
            '-I/usr/local/MATLAB/R2012a/extern/include',...
            boostlibdir, ...
            'bcemex.cpp','../cpp/bcedata.cpp',...
            boostlib,...
            compilerflags);
    elseif strcmp(computer,'GLNXA64')
        % Change these directories to match your installation of Boost.
        boostlibdir = '-L.';
        boostincldir = '-I/usr/local/include/boost-1_50/boost';
        boostlib = '/usr/local/lib64/libboost_serialization.a';

        compilerflags = 'CFLAGS="\$CFLAGS"';
        LDFLAGS = 'LDFLAGS="\$LDFLAGS"';
        mex('-I../hpp','-I../cpp','-v',boostincldir,...
            '-I/usr/local/MATLAB/R2012a/extern/include',...
            boostlibdir, ...
            'bcemex.cpp','../cpp/bcedata.cpp',...
            boostlib, ...
            compilerflags,...
            LDFLAGS);
    end


end % bcemexbuild